<script setup lang="ts">
import { ref } from "vue";
import { useDrinkStore } from "../../stores/drinks";
import { mdiClose, mdiArrowLeft } from "@mdi/js";
const itemDia = useDrinkStore();
const increass = () => {
  return itemDia.itemQuanrity++;
};
const decreass = () => {
  if (itemDia.itemQuanrity <= 1) {
    return;
  }
  return itemDia.itemQuanrity--;
};
const endDialog = () => {
  itemDia.clear();
  return (itemDia.useDinkDialog = false);
};
</script>

<template>
  <v-row justify="space-around">
    <v-dialog
      v-model="itemDia.useDinkDialog"
      transition="dialog-bottom-transition"
      width="270"
      persistent
    >
      <v-card>
        <v-img
          cover
          max-height="195"
          src="https://panda18tea.com/upload-img/600x600_Menu/%5B2%5D600x600-Pix-42.jpg"
        >
          <v-toolbar color="rgba(0, 0, 0, 0)" theme="dark">
            <template v-slot:prepend>
              <v-btn
                :icon="mdiArrowLeft"
                color="auto-grow"
                @click="endDialog"
              ></v-btn>
            </template>

            <!-- <v-toolbar-title class="text-h6"> Messages </v-toolbar-title> -->

            <template v-slot:append>
              <v-btn
                :icon="mdiClose"
                color="auto-grow"
                @click="endDialog"
              ></v-btn>
            </template>
          </v-toolbar>
        </v-img>
        <v-card-title>
          <div style="text-align: center">น้ำเปล่า(ขวดเล็ก)</div>
          <div style="text-align: center">10 บาท</div>
          <div style="text-align: center">
            <v-btn class="mr-4" @click="decreass">-</v-btn>
            <label>{{ itemDia.itemQuanrity }}</label>
            <v-btn class="ml-4" @click="increass">+</v-btn>
          </div>
        </v-card-title>
        <v-card-actions>
          <v-btn color="error" variant="elevated" @click="endDialog">
            กลับบ้าน
          </v-btn>
          <v-spacer></v-spacer>
          <v-btn color="success" variant="elevated" @click="endDialog">
            ทานร้าน
          </v-btn>
        </v-card-actions>
        <!-- <v-card-text> -->
        <v-textarea
          label="หมายเหตุ"
          auto-grow
          variant="outlined"
          rows="1"
          row-height="15"
          class="mr-3 ml-3"
        ></v-textarea>
        <!-- </v-card-text> -->
      </v-card>
    </v-dialog>
  </v-row>
</template>
